package cn.aid.apiweb.controller;

import cn.aid.apiweb.assist.resolver.NeedUser;
import cn.aid.apiweb.code.ApiWebCode;
import cn.aid.apiweb.service.event.EventService;
import cn.aid.common.utils.api.model.APIResult;
import cn.aid.data.api.app.vo.DeviceUserVo;
import cn.aid.data.api.user.dto.EventLogDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;



/**
 * CallbackController
 * Created by huodongdong on 2017/10/27.
 */
@Slf4j
@RestController
@RequestMapping(value = "/callback")
public class CallbackController {

    @Autowired
    private EventService eventService;



    @RequestMapping(value = "/event", method = RequestMethod.POST)
    public APIResult<Boolean> addEvent(@NeedUser DeviceUserVo user, @RequestBody EventLogDTO eventLog) {
        if (eventLog.getEventType() == null ) {
            return APIResult.error(ApiWebCode.PARAMETER_ERROR);
        }

        eventLog.setMerchantId(user.getMerchantId());
        eventLog.setUserId(user.getUid());

        APIResult<Boolean> result = eventService.addLog(eventLog);
        return result;
    }

}

