package cn.aid.cmsweb.controller.resource;

import cn.aid.cmsweb.code.CmsWebAPICode;
import cn.aid.cmsweb.service.resource.ResourceService;
import cn.aid.common.utils.api.model.APIResult;
import cn.aid.common.utils.api.page.Page;
import cn.aid.common.utils.dto.resource.ResourceDTO;
import cn.aid.common.utils.dto.resource.ResourceSearchDTO;
import cn.aid.common.utils.util.BeanUtil;
import cn.aid.common.utils.vo.resource.ResourceVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/resource")
@Slf4j
public class ResourceController {

    @Autowired
    private ResourceService resourceService;

    @RequestMapping(value = "/list")
    public APIResult<Page<ResourceVo>> search(ResourceSearchDTO resourceSearchDTO) {
        return resourceService.search(BeanUtil.convertToMap(resourceSearchDTO));
    }

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<ResourceVo> create(@RequestBody ResourceDTO resourceDTO) {
        return resourceService.create(resourceDTO);
    }

    @RequestMapping(method = RequestMethod.PUT)
    public APIResult<ResourceVo> update(@RequestBody ResourceDTO resourceDTO) {
        String id = resourceDTO.getId();
        if (null == id || id.isEmpty()){
            log.error("id Is Null");
            return APIResult.error(CmsWebAPICode.PARAMETER_ERROR);
        }
        return resourceService.update(id,resourceDTO);
    }

}
