package cn.aid.cmsweb.controller.user;

import cn.aid.cmsweb.assist.resolver.NeedUser;
import cn.aid.cmsweb.entity.UserDetails;
import cn.aid.cmsweb.service.user.CampusService;
import cn.aid.common.utils.api.model.APIResult;
import cn.aid.common.utils.api.page.Page;
import cn.aid.common.utils.util.BeanUtil;
import cn.aid.data.api.user.dto.CampusDTO;
import cn.aid.data.api.user.dto.CampusSearchDTO;
import cn.aid.data.api.user.vo.CampusVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/campus")
public class CampusController {

    @Autowired
    private CampusService campusService;

    @RequestMapping(value = {"/list", "/"}, method = RequestMethod.GET)
    public APIResult<Page<CampusVo>> search(@NeedUser UserDetails user, CampusSearchDTO campusSearchDTO) {
        if (!user.isPlatForm()) {
            String merchantId = user.getMerchantId();
            campusSearchDTO.setMerchantId(merchantId);
        }
        return campusService.search(BeanUtil.convertToMap(campusSearchDTO));
    }

    @RequestMapping(method = RequestMethod.POST)
    public APIResult<CampusVo> create(@RequestBody CampusDTO campusDTO) {
        return campusService.create(campusDTO);
    }

    @RequestMapping(method = RequestMethod.PUT)
    public APIResult<CampusVo> update(@RequestBody CampusDTO campusDTO) {
        return campusService.update(campusDTO);
    }

    @RequestMapping(value = "/{id}", method = RequestMethod.DELETE)
    public APIResult<Boolean> delete(@PathVariable("id") String id) {
        return campusService.delete(id);
    }

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public APIResult<CampusVo> getCampus(@PathVariable("id") String id) {
        return campusService.getCampus(id);
    }
}
