package cn.aid.cmsweb.controller.user;

import cn.aid.cmsweb.service.user.TerminalDeviceService;
import cn.aid.cmsweb.service.user.TerminalUserService;
import cn.aid.common.utils.api.model.APIResult;
import cn.aid.common.utils.api.model.BaseCode;
import cn.aid.common.utils.constant.RedisKey;
import cn.aid.common.utils.service.RedisService;
import cn.aid.data.api.user.vo.TerminalUserVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/device")
public class TerminalDeviceController {

    public final static String USER_FORMAT_KEY = RedisKey.USER_FORMAT_KEY;

    @Autowired
    private TerminalUserService terminalUserService;

    @Autowired
    private TerminalDeviceService terminalDeviceService;

    @Autowired
    private RedisService redisService;

    public static String getUserFormatKey(String uid) {
        return String.format(USER_FORMAT_KEY, uid);
    }

    public Boolean deleteCacheUser(String userId) {
        String key = getUserFormatKey(userId);
        redisService.delete(key);
        return Boolean.TRUE;
    }

    @RequestMapping(value = "/unbind/{userId}", method = RequestMethod.DELETE)
    public APIResult<Boolean> deviceUnbind(@PathVariable String userId) {
        APIResult<TerminalUserVo> userApiResult = terminalUserService.getUser(userId);
        if (!userApiResult.getSuccess()) {
            return APIResult.error(new BaseCode(userApiResult.getCode(), userApiResult.getMessage()));
        }
        // 清空缓存
        deleteCacheUser(userId);
        return terminalDeviceService.deviceUnbind(userId);
    }
}
