package cn.aid.cmsweb.controller.user;


import cn.aid.cmsweb.service.user.UserDeviceService;
import cn.aid.common.utils.api.model.APIResult;
import cn.aid.data.api.user.entity.UserDevice;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * The controller of user device
 */
@Slf4j
@RestController
@RequestMapping(value = "/userDevice")
public class UserDeviceController
{
    @Autowired
    private UserDeviceService userDeviceService;

    @RequestMapping(value = "/list/{uid}", method = RequestMethod.GET)
    public APIResult<List<UserDevice>> findByUserId(@PathVariable("uid") String uid)
    {
        List<UserDevice> list = userDeviceService.findByCondition(uid);

        return APIResult.ok(list);
    }
}

