package cn.aid.cmsweb.service.resource;

import cn.aid.common.utils.api.model.APIResult;
import cn.aid.common.utils.api.page.Page;
import cn.aid.common.utils.dto.resource.ResourceDTO;
import cn.aid.common.utils.vo.resource.ResourceVo;
import cn.aid.data.api.resource.vo.OSSSignature;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@FeignClient(value = "${service.resource.name}")
public interface ResourceService {

    @RequestMapping(value = "/resource/list")
    APIResult<Page<ResourceVo>> search(@RequestParam Map<String, Object> searchDTO);

    @RequestMapping(value = "/resource", method = RequestMethod.POST)
    APIResult<ResourceVo> create(@RequestBody ResourceDTO resourceDTO);

    @RequestMapping(value = "/resource/batch", method = RequestMethod.GET)
    APIResult<Map<String, ResourceVo>> getBatch(@RequestParam("id") List<String> ids);

    @RequestMapping(value = "/oss/signature", method = RequestMethod.GET)
    APIResult<OSSSignature> getSign(@RequestParam("fileName") String fileName);

    @RequestMapping(value = "/resource/{id}", method = RequestMethod.PUT)
    APIResult<ResourceVo> update(@PathVariable("id") String id, @RequestBody ResourceDTO resourceDTO);

    @RequestMapping(value = "/resource/audioImg/batch", method = RequestMethod.GET)
    Map<String, ResourceVo> getAudioImgBatch(@RequestParam("ids") List<String> ids);
}

