package cn.aid.cmsweb.service.user;

import cn.aid.common.utils.api.model.APIResult;
import cn.aid.common.utils.api.page.Page;
import cn.aid.data.api.user.dto.WhiteUserDTO;
import cn.aid.data.api.user.dto.WhiteUserSearchDTO;
import cn.aid.data.api.user.vo.WhiteUserVo;
import org.springframework.cloud.netflix.feign.FeignClient;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "${service.user.name}")
public interface WhiteUserService {

    @RequestMapping(value = "/white/user/{userId}", method = RequestMethod.GET)
    APIResult<WhiteUserVo> findUserByUserId(@PathVariable("userId") String userId);

    @RequestMapping(value = "/white/user", method = RequestMethod.POST)
    APIResult<WhiteUserVo> addWhiteUser(@RequestBody WhiteUserDTO whiteUserDTO);

    @RequestMapping(value = "/white/user", method = RequestMethod.PUT)
    APIResult<WhiteUserVo> updateWhiteUser(@RequestBody WhiteUserDTO whiteUserDTO);

    @RequestMapping(value = "/white/user", method = RequestMethod.DELETE)
    APIResult<Boolean> deleteWhiteUser(@RequestBody WhiteUserDTO whiteUserDTO);

    @RequestMapping(value = "/white/user/list", method = RequestMethod.POST)
    APIResult<Page<WhiteUserVo>> search(@RequestBody WhiteUserSearchDTO searchDTO);

}
