package cn.aid.productservice.configuration;

import cn.aid.common.utils.api.model.APICode;
import cn.aid.common.utils.api.model.APIResult;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.servlet.NoHandlerFoundException;

@ControllerAdvice
@ResponseBody
public class GlobalExceptionHandler {

    @ExceptionHandler(value = MethodArgumentNotValidException.class)
    public APIResult handleMethodArgumentNotValidException(MethodArgumentNotValidException e) {
        return APIResult.error(APICode.PARAMETER_ERROR);
    }

    @ExceptionHandler(NoHandlerFoundException.class)
    public APIResult handleNoHandlerFoundException(NoHandlerFoundException e) {
        return APIResult.error(APICode.NOT_FOUND);
    }
}
