package cn.aid.userservice.repository;

import cn.aid.common.utils.jpa.BasicJpaRepository;
import cn.aid.data.api.user.entity.UserDevice;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface UserDeviceRepository extends BasicJpaRepository<UserDevice, String> {

    @Query(value = "select device from UserDevice device where device.userId = ?1 AND device.deviceName= ?2 AND device.deviceModel = ?3")
    UserDevice findUserDevice(String uid, String deviceName,String deviceModel);

    @Transactional
    @Modifying
    @Query(value = "update UserDevice device set device.num = ?4 where device.userId = ?1 AND device.deviceName= ?2 AND device.deviceModel = ?3")
    int updateDevice(String uid, String deviceName,String deviceModel,int num);

    /**
     * 根据用户编号查询设备信息
     * @param userId the id of user
     * @return
     */
    @Query(value = "select u from  UserDevice  u where u.userId = ?1 order by u.gmtModified desc")
    List<UserDevice> findByUserId(String userId);
}
