package cn.aid.userservice.repository;

import cn.aid.common.utils.enums.BaseStatusEnum;
import cn.aid.common.utils.jpa.BasicJpaRepository;
import cn.aid.data.api.user.entity.WhiteUser;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

public interface WhiteUserRepository extends BasicJpaRepository<WhiteUser, String> {

    WhiteUser findFirstByUserIdAndAndStatus(String userId, BaseStatusEnum status);

    @Modifying
    @Query(value = "update WhiteUser w set w.status = 1 where w.userId = ?1")
    Integer deleteByUserId(String userId);
}
